import { TdChartOptionsService, TdCoordinateSystem, ITdItemStyle, ITdEmphasis, ITdMarkPoint, ITdMarkLine, ITdMarkArea, ITdSeries, ITdLabel, TdSeriesDirective, TdMarkPointSymbol, ITdLineStyle, ITdEdgeLabel } from '@covalent/echarts/base';
import * as i0 from "@angular/core";
export interface ITdCategories {
    name?: string;
    symbol?: TdMarkPointSymbol | string;
    symbolSize?: number | any[];
    symbolRotate?: number;
    symbolKeepAspect?: boolean;
    symbolOffset: any[];
    itemStyle: ITdItemStyle;
    label: ITdLabel;
    emphasis: ITdEmphasis;
}
export interface ITdGraphForce {
    initLayout?: string;
    repulsion?: any | number;
    gravity?: number;
    edgeLength?: any | number;
    layoutAnimation?: boolean;
}
export type TdGraphLayout = 'none' | 'circular' | 'force';
export interface ITdGraphSeries extends ITdSeries {
    legendHoverLink?: boolean;
    coordinateSystem?: TdCoordinateSystem;
    xAxisIndex?: number;
    yAxisIndex?: number;
    polarIndex?: number;
    calendarIndex?: number;
    geoIndex?: number;
    hoverAnimation?: boolean;
    circular?: object;
    force?: ITdGraphForce;
    layout?: TdGraphLayout;
    nodeScaleRatio?: boolean;
    draggable?: boolean;
    symbol?: TdMarkPointSymbol | string;
    symbolSize?: number | any[] | Function;
    symbolRotate?: number;
    symbolKeepAspect?: boolean;
    symbolOffset?: any[];
    focusNodeAdjacency?: boolean;
    edgeSymbol?: any[] | string;
    edgeSymbolSize?: number;
    cursor?: string;
    roam?: boolean;
    expandAndCollapse?: boolean;
    initialTreeDepth?: number;
    itemStyle?: ITdItemStyle;
    lineStyle?: ITdLineStyle;
    label?: ITdLabel;
    edgeLabel?: ITdEdgeLabel;
    emphasis?: ITdEmphasis;
    categories?: ITdCategories;
    data?: any[];
    nodes?: any[];
    links?: any[];
    edges?: any[];
    markPoint?: ITdMarkPoint;
    markLine?: ITdMarkLine;
    markArea?: ITdMarkArea;
    zlevel?: number;
    z?: number;
    silent?: boolean;
    left?: string | number;
    top?: string | number;
    right?: string | number;
    bottom?: string | number;
    width?: string | number;
    height?: string | number;
    animation?: boolean;
    animationThreshold?: number;
    animationDuration?: number | Function;
    animationEasing?: string;
    animationDelay?: number | Function;
    animationDurationUpdate?: number | Function;
    animationEasingUpdate?: string;
    animationDelayUpdate?: number | Function;
}
export declare class TdChartSeriesGraphComponent extends TdSeriesDirective implements ITdGraphSeries {
    legendHoverLink?: boolean;
    coordinateSystem?: TdCoordinateSystem;
    xAxisIndex?: number;
    yAxisIndex?: number;
    polarIndex?: number;
    calendarIndex?: number;
    geoIndex?: number;
    hoverAnimation?: boolean;
    circular?: object;
    force?: ITdGraphForce;
    layout?: TdGraphLayout;
    nodeScaleRatio?: boolean;
    draggable?: boolean;
    symbol?: TdMarkPointSymbol | string;
    symbolSize?: number | any[] | Function;
    symbolRotate?: number;
    symbolKeepAspect?: boolean;
    symbolOffset?: any[];
    focusNodeAdjacency?: boolean;
    edgeSymbol?: any[] | string;
    edgeSymbolSize?: number;
    cursor?: string;
    roam?: boolean;
    initialTreeDepth?: number;
    itemStyle?: ITdItemStyle;
    lineStyle?: ITdLineStyle;
    label?: ITdLabel;
    edgeLabel?: ITdEdgeLabel;
    emphasis?: ITdEmphasis;
    categories?: ITdCategories;
    nodes?: any[];
    links?: any[];
    edges?: any[];
    markPoint?: ITdMarkPoint;
    markLine?: ITdMarkLine;
    markArea?: ITdMarkArea;
    zlevel?: number;
    z?: number;
    silent?: boolean;
    left?: string | number;
    top?: string | number;
    right?: string | number;
    bottom?: string | number;
    width?: string | number;
    height?: string | number;
    constructor(_optionsService: TdChartOptionsService);
    getConfig(): any;
    static ɵfac: i0.ɵɵFactoryDeclaration<TdChartSeriesGraphComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TdChartSeriesGraphComponent, "td-chart-series[td-graph]", never, { "config": { "alias": "config"; "required": false; }; "id": { "alias": "id"; "required": false; }; "name": { "alias": "name"; "required": false; }; "color": { "alias": "color"; "required": false; }; "data": { "alias": "data"; "required": false; }; "animation": { "alias": "animation"; "required": false; }; "animationThreshold": { "alias": "animationThreshold"; "required": false; }; "animationDuration": { "alias": "animationDuration"; "required": false; }; "animationEasing": { "alias": "animationEasing"; "required": false; }; "animationDelay": { "alias": "animationDelay"; "required": false; }; "animationDurationUpdate": { "alias": "animationDurationUpdate"; "required": false; }; "animationEasingUpdate": { "alias": "animationEasingUpdate"; "required": false; }; "animationDelayUpdate": { "alias": "animationDelayUpdate"; "required": false; }; "tooltip": { "alias": "tooltip"; "required": false; }; "legendHoverLink": { "alias": "legendHoverLink"; "required": false; }; "coordinateSystem": { "alias": "coordinateSystem"; "required": false; }; "xAxisIndex": { "alias": "xAxisIndex"; "required": false; }; "yAxisIndex": { "alias": "yAxisIndex"; "required": false; }; "polarIndex": { "alias": "polarIndex"; "required": false; }; "calendarIndex": { "alias": "calendarIndex"; "required": false; }; "geoIndex": { "alias": "geoIndex"; "required": false; }; "hoverAnimation": { "alias": "hoverAnimation"; "required": false; }; "circular": { "alias": "circular"; "required": false; }; "force": { "alias": "force"; "required": false; }; "layout": { "alias": "layout"; "required": false; }; "nodeScaleRatio": { "alias": "nodeScaleRatio"; "required": false; }; "draggable": { "alias": "draggable"; "required": false; }; "symbol": { "alias": "symbol"; "required": false; }; "symbolSize": { "alias": "symbolSize"; "required": false; }; "symbolRotate": { "alias": "symbolRotate"; "required": false; }; "symbolKeepAspect": { "alias": "symbolKeepAspect"; "required": false; }; "symbolOffset": { "alias": "symbolOffset"; "required": false; }; "focusNodeAdjacency": { "alias": "focusNodeAdjacency"; "required": false; }; "edgeSymbol": { "alias": "edgeSymbol"; "required": false; }; "edgeSymbolSize": { "alias": "edgeSymbolSize"; "required": false; }; "cursor": { "alias": "cursor"; "required": false; }; "roam": { "alias": "roam"; "required": false; }; "initialTreeDepth": { "alias": "initialTreeDepth"; "required": false; }; "itemStyle": { "alias": "itemStyle"; "required": false; }; "lineStyle": { "alias": "lineStyle"; "required": false; }; "label": { "alias": "label"; "required": false; }; "edgeLabel": { "alias": "edgeLabel"; "required": false; }; "emphasis": { "alias": "emphasis"; "required": false; }; "categories": { "alias": "categories"; "required": false; }; "nodes": { "alias": "nodes"; "required": false; }; "links": { "alias": "links"; "required": false; }; "edges": { "alias": "edges"; "required": false; }; "markPoint": { "alias": "markPoint"; "required": false; }; "markLine": { "alias": "markLine"; "required": false; }; "markArea": { "alias": "markArea"; "required": false; }; "zlevel": { "alias": "zlevel"; "required": false; }; "z": { "alias": "z"; "required": false; }; "silent": { "alias": "silent"; "required": false; }; "left": { "alias": "left"; "required": false; }; "top": { "alias": "top"; "required": false; }; "right": { "alias": "right"; "required": false; }; "bottom": { "alias": "bottom"; "required": false; }; "width": { "alias": "width"; "required": false; }; "height": { "alias": "height"; "required": false; }; }, {}, never, never, false, never>;
}
